Package de.dfki.lt.freetts.mbrola

# Class ParametersToMbrolaConverter

java.lang.Object
de.dfki.lt.freetts.mbrola.ParametersToMbrolaConverter

All Implemented Interfaces:
  `UtteranceProcessor`

public class ParametersToMbrolaConverter extends Object implements UtteranceProcessor
Utterance processor converting phoneme timing and f0-time targets into MBROLA format.

## Constructor Summary

Constructors
Constructor
Description
`ParametersToMbrolaConverter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Convert phoneme timing and f0-time targets into MBROLA format.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParametersToMbrolaConverter

public ParametersToMbrolaConverter()

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Convert phoneme timing and f0-time targets into MBROLA format. The results are saved in the Segment relations, as features `"mbr_dur"` (int-valued) and `"mbr_targets"` (String-valued). MBROLA-converted targets are saved in the Segment relation because in MBROLA input, targets are represented as properties of the segments during which they occur.

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to process
Throws:
  `ProcessException` - if an error occurs while processing of the utterance

### toString

public String toString()

Overrides:
  `toString` in class `Object`